# open this condition when support qt5 in the future
%bcond_with qt5

Summary:          A libudev binding
Name:             python-pyudev
Version:          0.24.1
Release:          3%{?dist}
License:          LGPLv2+
URL:              http://pypi.python.org/pypi/pyudev
Source0:          https://pypi.io/packages/source/p/pyudev/pyudev-%{version}.tar.gz

BuildArch:        noarch

%description
This package supports almost all libudev functionality.The lisence
is LGPL.It is a python 2/3 binding to libudev which is a linux
library supporting device management.The usage of pyudev is simple
and you can use it after a quick learning.

%package -n       python3-pyudev
Summary:          A libudev binding
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
Requires:         systemd-libs
Provides:         python-pyudev = %{version}-%{release}
Provides:         python%{python3_version}-pyudev = %{version}-%{release}

%description -n   python3-pyudev
This package supports almost all libudev functionality.The lisence
is LGPL.It is a python 2/3 binding to libudev which is a linux
library supporting device management.The usage of pyudev is simple
and you can use it after a quick learning.

%if %{with qt5}
%package -n       python3-pyudev-qt5
Summary:          Qt5 integration for pyudev

Requires:         python3-qt5
Requires:         python3-pyudev = %{version}-%{release}

%description -n python3-pyudev-qt5
Qt5 integration for pyudev. This package provides a module pyudev.pyqt5
that contains classes for integrating a pyudev monitor with the Qt5 main loop.
%endif

%prep
%autosetup -n pyudev-%{version}
rm -rf pyudev.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-pyudev
%license COPYING
%doc README.rst CHANGES.rst
%{python3_sitelib}/pyudev
%{python3_sitelib}/pyudev-%{version}-*.egg-info
%exclude %{python3_sitelib}/pyudev/glib.py
%exclude %{python3_sitelib}/pyudev/__pycache__/glib.*
%exclude %{python3_sitelib}/pyudev/pyqt4.py
%exclude %{python3_sitelib}/pyudev/__pycache__/pyqt4.*
%exclude %{python3_sitelib}/pyudev/pyqt5.py
%exclude %{python3_sitelib}/pyudev/__pycache__/pyqt5.*
%exclude %{python3_sitelib}/pyudev/pyside.py
%exclude %{python3_sitelib}/pyudev/__pycache__/pyside.*
%exclude %{python3_sitelib}/pyudev/wx.py
%exclude %{python3_sitelib}/pyudev/__pycache__/wx.*

%if %{with qt5}
%files -n python3-pyudev-qt5
%license COPYING
%{python3_sitelib}/pyudev/pyqt5.py
%{python3_sitelib}/pyudev/__pycache__/pyqt5.*
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.1-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 0.24.1-1
- Upgrade to version 0.24.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Shuo Wang <abushwang@tencent.com> - 0.24.0-1
- initial build

